// SHARPEN is copyright (c) 2008  Ilya Loksha (primary author), Christopher Snow (project lead).
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files 
// (the "Software") to deal in the Software without restriction, including without limitation the rights to use, copy, modify, 
// merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is 
// furnished to do so, subject to the following conditions: 
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. 
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY 
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
// THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
// 

LoadALA(data_[ALA], istream);
LoadCYS(data_[CYS], istream);
LoadASP(data_[ASP], istream);
LoadGLU(data_[GLU], istream);
LoadPHE(data_[PHE], istream);
LoadGLY(data_[GLY], istream);
LoadHIS(data_[HIS], istream);
LoadILE(data_[ILE], istream);
LoadLYS(data_[LYS], istream);
LoadLEU(data_[LEU], istream);
LoadMET(data_[MET], istream);
LoadASN(data_[ASN], istream);
LoadPRO(data_[PRO], istream);
LoadGLN(data_[GLN], istream);
LoadARG(data_[ARG], istream);
LoadSER(data_[SER], istream);
LoadTHR(data_[THR], istream);
LoadVAL(data_[VAL], istream);
LoadTRP(data_[TRP], istream);
LoadTYR(data_[TYR], istream);
LoadNALA(data_[NALA], istream);
LoadNCYS(data_[NCYS], istream);
LoadNASP(data_[NASP], istream);
LoadNGLU(data_[NGLU], istream);
LoadNPHE(data_[NPHE], istream);
LoadNGLY(data_[NGLY], istream);
LoadNHIS(data_[NHIS], istream);
LoadNILE(data_[NILE], istream);
LoadNLYS(data_[NLYS], istream);
LoadNLEU(data_[NLEU], istream);
LoadNMET(data_[NMET], istream);
LoadNASN(data_[NASN], istream);
LoadNPRO(data_[NPRO], istream);
LoadNGLN(data_[NGLN], istream);
LoadNARG(data_[NARG], istream);
LoadNSER(data_[NSER], istream);
LoadNTHR(data_[NTHR], istream);
LoadNVAL(data_[NVAL], istream);
LoadNTRP(data_[NTRP], istream);
LoadNTYR(data_[NTYR], istream);
LoadCALA(data_[CALA], istream);
LoadCCYS(data_[CCYS], istream);
LoadCASP(data_[CASP], istream);
LoadCGLU(data_[CGLU], istream);
LoadCPHE(data_[CPHE], istream);
LoadCGLY(data_[CGLY], istream);
LoadCHIS(data_[CHIS], istream);
LoadCILE(data_[CILE], istream);
LoadCLYS(data_[CLYS], istream);
LoadCLEU(data_[CLEU], istream);
LoadCMET(data_[CMET], istream);
LoadCASN(data_[CASN], istream);
LoadCPRO(data_[CPRO], istream);
LoadCGLN(data_[CGLN], istream);
LoadCARG(data_[CARG], istream);
LoadCSER(data_[CSER], istream);
LoadCTHR(data_[CTHR], istream);
LoadCVAL(data_[CVAL], istream);
LoadCTRP(data_[CTRP], istream);
LoadCTYR(data_[CTYR], istream);

byName_["ALA"] = &data_[ALA];
byName_["CYS"] = &data_[CYS];
byName_["ASP"] = &data_[ASP];
byName_["GLU"] = &data_[GLU];
byName_["PHE"] = &data_[PHE];
byName_["GLY"] = &data_[GLY];
byName_["HIS"] = &data_[HIS];
byName_["ILE"] = &data_[ILE];
byName_["LYS"] = &data_[LYS];
byName_["LEU"] = &data_[LEU];
byName_["MET"] = &data_[MET];
byName_["ASN"] = &data_[ASN];
byName_["PRO"] = &data_[PRO];
byName_["GLN"] = &data_[GLN];
byName_["ARG"] = &data_[ARG];
byName_["SER"] = &data_[SER];
byName_["THR"] = &data_[THR];
byName_["VAL"] = &data_[VAL];
byName_["TRP"] = &data_[TRP];
byName_["TYR"] = &data_[TYR];
byName_["NALA"] = &data_[NALA];
byName_["NCYS"] = &data_[NCYS];
byName_["NASP"] = &data_[NASP];
byName_["NGLU"] = &data_[NGLU];
byName_["NPHE"] = &data_[NPHE];
byName_["NGLY"] = &data_[NGLY];
byName_["NHIS"] = &data_[NHIS];
byName_["NILE"] = &data_[NILE];
byName_["NLYS"] = &data_[NLYS];
byName_["NLEU"] = &data_[NLEU];
byName_["NMET"] = &data_[NMET];
byName_["NASN"] = &data_[NASN];
byName_["NPRO"] = &data_[NPRO];
byName_["NGLN"] = &data_[NGLN];
byName_["NARG"] = &data_[NARG];
byName_["NSER"] = &data_[NSER];
byName_["NTHR"] = &data_[NTHR];
byName_["NVAL"] = &data_[NVAL];
byName_["NTRP"] = &data_[NTRP];
byName_["NTYR"] = &data_[NTYR];
byName_["CALA"] = &data_[CALA];
byName_["CCYS"] = &data_[CCYS];
byName_["CASP"] = &data_[CASP];
byName_["CGLU"] = &data_[CGLU];
byName_["CPHE"] = &data_[CPHE];
byName_["CGLY"] = &data_[CGLY];
byName_["CHIS"] = &data_[CHIS];
byName_["CILE"] = &data_[CILE];
byName_["CLYS"] = &data_[CLYS];
byName_["CLEU"] = &data_[CLEU];
byName_["CMET"] = &data_[CMET];
byName_["CASN"] = &data_[CASN];
byName_["CPRO"] = &data_[CPRO];
byName_["CGLN"] = &data_[CGLN];
byName_["CARG"] = &data_[CARG];
byName_["CSER"] = &data_[CSER];
byName_["CTHR"] = &data_[CTHR];
byName_["CVAL"] = &data_[CVAL];
byName_["CTRP"] = &data_[CTRP];
byName_["CTYR"] = &data_[CTYR];

