# SHARPEN is copyright (c) 2008  Ilya Loksha (primary author), Christopher Snow (project lead).
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files 
# (the "Software") to deal in the Software without restriction, including without limitation the rights to use, copy, modify, 
# merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is 
# furnished to do so, subject to the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY 
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
# THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
# 


def convert_paa(iPaa, iPaa_pp, oPaa, oPaa_pp):
	f1 = open(oPaa, 'w')
	f2 = open(oPaa_pp, 'w')

	f1.write('\n---- DATA STARTS HERE ----\n\n')
	f1.write('20\n\n')
	f1.write('[\n')

	f2.write('\n---- DATA STARTS HERE ----\n\n')
	f2.write('36 x 36 x 20\n\n')
	f2.write('[\n')

	index = 0
	for item in open(iPaa):
		if index < 20:
			index += 1
			f1.write(item[4:])
	
	for item in open(iPaa_pp):
		val = float(item[32:])

		if val < 0.001:
			val = 0.001
	
		f2.write(str(val) + '\n')

	f1.write(']\n')
	f2.write(']\n')

