// SHARPEN is copyright (c) 2008  Ilya Loksha (primary author), Christopher Snow (project lead).
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files 
// (the "Software") to deal in the Software without restriction, including without limitation the rights to use, copy, modify, 
// merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is 
// furnished to do so, subject to the following conditions: 
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. 
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY 
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
// THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
// 

	std::string toStringDataRAW_TYPE[] = {
		"ALA:C",
		"ALA:O",
		"ALA:N",
		"ALA:H",
		"ALA:CA",
		"ALA:HA",
		"ALA:CB",
		"ALA:1HB",
		"ALA:2HB",
		"ALA:3HB",
		"CYS:C",
		"CYS:O",
		"CYS:N",
		"CYS:H",
		"CYS:CA",
		"CYS:HA",
		"CYS:CB",
		"CYS:1HB",
		"CYS:2HB",
		"CYS:SG",
		"CYS:HG",
		"ASP:C",
		"ASP:O",
		"ASP:N",
		"ASP:H",
		"ASP:CA",
		"ASP:HA",
		"ASP:CB",
		"ASP:1HB",
		"ASP:2HB",
		"ASP:CG",
		"ASP:OD1",
		"ASP:OD2",
		"GLU:C",
		"GLU:O",
		"GLU:N",
		"GLU:H",
		"GLU:CA",
		"GLU:HA",
		"GLU:CB",
		"GLU:1HB",
		"GLU:2HB",
		"GLU:CG",
		"GLU:1HG",
		"GLU:2HG",
		"GLU:CD",
		"GLU:OE1",
		"GLU:OE2",
		"PHE:C",
		"PHE:O",
		"PHE:N",
		"PHE:H",
		"PHE:CA",
		"PHE:HA",
		"PHE:CB",
		"PHE:1HB",
		"PHE:2HB",
		"PHE:CG",
		"PHE:CD1",
		"PHE:HD1",
		"PHE:CD2",
		"PHE:HD2",
		"PHE:CE1",
		"PHE:HE1",
		"PHE:CE2",
		"PHE:HE2",
		"PHE:CZ",
		"PHE:HZ",
		"GLY:C",
		"GLY:O",
		"GLY:N",
		"GLY:H",
		"GLY:CA",
		"GLY:1HA",
		"GLY:2HA",
		"HIS:C",
		"HIS:O",
		"HIS:N",
		"HIS:H",
		"HIS:CA",
		"HIS:HA",
		"HIS:CB",
		"HIS:1HB",
		"HIS:2HB",
		"HIS:CG",
		"HIS:ND1",
		"HIS:CD2",
		"HIS:HD2",
		"HIS:CE1",
		"HIS:HE1",
		"HIS:NE2",
		"HIS:HE2",
		"ILE:C",
		"ILE:O",
		"ILE:N",
		"ILE:H",
		"ILE:CA",
		"ILE:HA",
		"ILE:CB",
		"ILE:HB",
		"ILE:CG2",
		"ILE:1HG2",
		"ILE:2HG2",
		"ILE:3HG2",
		"ILE:CG1",
		"ILE:1HG1",
		"ILE:2HG1",
		"ILE:CD1",
		"ILE:1HD1",
		"ILE:2HD1",
		"ILE:3HD1",
		"LYS:C",
		"LYS:O",
		"LYS:N",
		"LYS:H",
		"LYS:CA",
		"LYS:HA",
		"LYS:CB",
		"LYS:1HB",
		"LYS:2HB",
		"LYS:CG",
		"LYS:1HG",
		"LYS:2HG",
		"LYS:CD",
		"LYS:1HD",
		"LYS:2HD",
		"LYS:CE",
		"LYS:1HE",
		"LYS:2HE",
		"LYS:NZ",
		"LYS:1HZ",
		"LYS:2HZ",
		"LYS:3HZ",
		"LEU:C",
		"LEU:O",
		"LEU:N",
		"LEU:H",
		"LEU:CA",
		"LEU:HA",
		"LEU:CB",
		"LEU:1HB",
		"LEU:2HB",
		"LEU:CG",
		"LEU:HG",
		"LEU:CD1",
		"LEU:1HD1",
		"LEU:2HD1",
		"LEU:3HD1",
		"LEU:CD2",
		"LEU:1HD2",
		"LEU:2HD2",
		"LEU:3HD2",
		"MET:C",
		"MET:O",
		"MET:N",
		"MET:H",
		"MET:CA",
		"MET:HA",
		"MET:CB",
		"MET:1HB",
		"MET:2HB",
		"MET:CG",
		"MET:1HG",
		"MET:2HG",
		"MET:SD",
		"MET:CE",
		"MET:1HE",
		"MET:2HE",
		"MET:3HE",
		"ASN:C",
		"ASN:O",
		"ASN:N",
		"ASN:H",
		"ASN:CA",
		"ASN:HA",
		"ASN:CB",
		"ASN:1HB",
		"ASN:2HB",
		"ASN:CG",
		"ASN:OD1",
		"ASN:ND2",
		"ASN:1HD2",
		"ASN:2HD2",
		"PRO:C",
		"PRO:O",
		"PRO:N",
		"PRO:CA",
		"PRO:HA",
		"PRO:CB",
		"PRO:1HB",
		"PRO:2HB",
		"PRO:CG",
		"PRO:1HG",
		"PRO:2HG",
		"PRO:CD",
		"PRO:1HD",
		"PRO:2HD",
		"GLN:C",
		"GLN:O",
		"GLN:N",
		"GLN:H",
		"GLN:CA",
		"GLN:HA",
		"GLN:CB",
		"GLN:1HB",
		"GLN:2HB",
		"GLN:CG",
		"GLN:1HG",
		"GLN:2HG",
		"GLN:CD",
		"GLN:OE1",
		"GLN:NE2",
		"GLN:1HE2",
		"GLN:2HE2",
		"ARG:C",
		"ARG:O",
		"ARG:N",
		"ARG:H",
		"ARG:CA",
		"ARG:HA",
		"ARG:CB",
		"ARG:1HB",
		"ARG:2HB",
		"ARG:CG",
		"ARG:1HG",
		"ARG:2HG",
		"ARG:CD",
		"ARG:1HD",
		"ARG:2HD",
		"ARG:NE",
		"ARG:HE",
		"ARG:CZ",
		"ARG:NH1",
		"ARG:1HH1",
		"ARG:2HH1",
		"ARG:NH2",
		"ARG:1HH2",
		"ARG:2HH2",
		"SER:C",
		"SER:O",
		"SER:N",
		"SER:H",
		"SER:CA",
		"SER:HA",
		"SER:CB",
		"SER:1HB",
		"SER:2HB",
		"SER:OG",
		"SER:HG",
		"THR:C",
		"THR:O",
		"THR:N",
		"THR:H",
		"THR:CA",
		"THR:HA",
		"THR:CB",
		"THR:HB",
		"THR:CG2",
		"THR:1HG2",
		"THR:2HG2",
		"THR:3HG2",
		"THR:OG1",
		"THR:HG1",
		"VAL:C",
		"VAL:O",
		"VAL:N",
		"VAL:H",
		"VAL:CA",
		"VAL:HA",
		"VAL:CB",
		"VAL:HB",
		"VAL:CG1",
		"VAL:1HG1",
		"VAL:2HG1",
		"VAL:3HG1",
		"VAL:CG2",
		"VAL:1HG2",
		"VAL:2HG2",
		"VAL:3HG2",
		"TRP:C",
		"TRP:O",
		"TRP:N",
		"TRP:H",
		"TRP:CA",
		"TRP:HA",
		"TRP:CB",
		"TRP:1HB",
		"TRP:2HB",
		"TRP:CG",
		"TRP:CD1",
		"TRP:HD1",
		"TRP:CD2",
		"TRP:NE1",
		"TRP:HE1",
		"TRP:CE2",
		"TRP:CE3",
		"TRP:HE3",
		"TRP:CZ2",
		"TRP:HZ2",
		"TRP:CZ3",
		"TRP:HZ3",
		"TRP:CH2",
		"TRP:HH2",
		"TYR:C",
		"TYR:O",
		"TYR:N",
		"TYR:H",
		"TYR:CA",
		"TYR:HA",
		"TYR:CB",
		"TYR:1HB",
		"TYR:2HB",
		"TYR:CG",
		"TYR:CD1",
		"TYR:HD1",
		"TYR:CD2",
		"TYR:HD2",
		"TYR:CE1",
		"TYR:HE1",
		"TYR:CE2",
		"TYR:HE2",
		"TYR:CZ",
		"TYR:OH",
		"TYR:HH",
		"NALA:C",
		"NALA:O",
		"NALA:N",
		"NALA:H1",
		"NALA:CA",
		"NALA:HA",
		"NALA:CB",
		"NALA:1HB",
		"NALA:2HB",
		"NALA:3HB",
		"NALA:H2",
		"NALA:H3",
		"NCYS:C",
		"NCYS:O",
		"NCYS:N",
		"NCYS:H1",
		"NCYS:CA",
		"NCYS:HA",
		"NCYS:CB",
		"NCYS:1HB",
		"NCYS:2HB",
		"NCYS:SG",
		"NCYS:HG",
		"NCYS:H2",
		"NCYS:H3",
		"NASP:C",
		"NASP:O",
		"NASP:N",
		"NASP:H1",
		"NASP:CA",
		"NASP:HA",
		"NASP:CB",
		"NASP:1HB",
		"NASP:2HB",
		"NASP:CG",
		"NASP:OD1",
		"NASP:OD2",
		"NASP:H2",
		"NASP:H3",
		"NGLU:C",
		"NGLU:O",
		"NGLU:N",
		"NGLU:H1",
		"NGLU:CA",
		"NGLU:HA",
		"NGLU:CB",
		"NGLU:1HB",
		"NGLU:2HB",
		"NGLU:CG",
		"NGLU:1HG",
		"NGLU:2HG",
		"NGLU:CD",
		"NGLU:OE1",
		"NGLU:OE2",
		"NGLU:H2",
		"NGLU:H3",
		"NPHE:C",
		"NPHE:O",
		"NPHE:N",
		"NPHE:H1",
		"NPHE:CA",
		"NPHE:HA",
		"NPHE:CB",
		"NPHE:1HB",
		"NPHE:2HB",
		"NPHE:CG",
		"NPHE:CD1",
		"NPHE:HD1",
		"NPHE:CD2",
		"NPHE:HD2",
		"NPHE:CE1",
		"NPHE:HE1",
		"NPHE:CE2",
		"NPHE:HE2",
		"NPHE:CZ",
		"NPHE:HZ",
		"NPHE:H2",
		"NPHE:H3",
		"NGLY:C",
		"NGLY:O",
		"NGLY:N",
		"NGLY:H1",
		"NGLY:CA",
		"NGLY:1HA",
		"NGLY:2HA",
		"NGLY:H2",
		"NGLY:H3",
		"NHIS:C",
		"NHIS:O",
		"NHIS:N",
		"NHIS:H1",
		"NHIS:CA",
		"NHIS:HA",
		"NHIS:CB",
		"NHIS:1HB",
		"NHIS:2HB",
		"NHIS:CG",
		"NHIS:ND1",
		"NHIS:CD2",
		"NHIS:HD2",
		"NHIS:CE1",
		"NHIS:HE1",
		"NHIS:NE2",
		"NHIS:HE2",
		"NHIS:H2",
		"NHIS:H3",
		"NILE:C",
		"NILE:O",
		"NILE:N",
		"NILE:H1",
		"NILE:CA",
		"NILE:HA",
		"NILE:CB",
		"NILE:HB",
		"NILE:CG2",
		"NILE:1HG2",
		"NILE:2HG2",
		"NILE:3HG2",
		"NILE:CG1",
		"NILE:1HG1",
		"NILE:2HG1",
		"NILE:CD1",
		"NILE:1HD1",
		"NILE:2HD1",
		"NILE:3HD1",
		"NILE:H2",
		"NILE:H3",
		"NLYS:C",
		"NLYS:O",
		"NLYS:N",
		"NLYS:H1",
		"NLYS:CA",
		"NLYS:HA",
		"NLYS:CB",
		"NLYS:1HB",
		"NLYS:2HB",
		"NLYS:CG",
		"NLYS:1HG",
		"NLYS:2HG",
		"NLYS:CD",
		"NLYS:1HD",
		"NLYS:2HD",
		"NLYS:CE",
		"NLYS:1HE",
		"NLYS:2HE",
		"NLYS:NZ",
		"NLYS:1HZ",
		"NLYS:2HZ",
		"NLYS:3HZ",
		"NLYS:H2",
		"NLYS:H3",
		"NLEU:C",
		"NLEU:O",
		"NLEU:N",
		"NLEU:H1",
		"NLEU:CA",
		"NLEU:HA",
		"NLEU:CB",
		"NLEU:1HB",
		"NLEU:2HB",
		"NLEU:CG",
		"NLEU:HG",
		"NLEU:CD1",
		"NLEU:1HD1",
		"NLEU:2HD1",
		"NLEU:3HD1",
		"NLEU:CD2",
		"NLEU:1HD2",
		"NLEU:2HD2",
		"NLEU:3HD2",
		"NLEU:H2",
		"NLEU:H3",
		"NMET:C",
		"NMET:O",
		"NMET:N",
		"NMET:H1",
		"NMET:CA",
		"NMET:HA",
		"NMET:CB",
		"NMET:1HB",
		"NMET:2HB",
		"NMET:CG",
		"NMET:1HG",
		"NMET:2HG",
		"NMET:SD",
		"NMET:CE",
		"NMET:1HE",
		"NMET:2HE",
		"NMET:3HE",
		"NMET:H2",
		"NMET:H3",
		"NASN:C",
		"NASN:O",
		"NASN:N",
		"NASN:H1",
		"NASN:CA",
		"NASN:HA",
		"NASN:CB",
		"NASN:1HB",
		"NASN:2HB",
		"NASN:CG",
		"NASN:OD1",
		"NASN:ND2",
		"NASN:1HD2",
		"NASN:2HD2",
		"NASN:H2",
		"NASN:H3",
		"NPRO:C",
		"NPRO:O",
		"NPRO:N",
		"NPRO:CA",
		"NPRO:HA",
		"NPRO:CB",
		"NPRO:1HB",
		"NPRO:2HB",
		"NPRO:CG",
		"NPRO:1HG",
		"NPRO:2HG",
		"NPRO:CD",
		"NPRO:1HD",
		"NPRO:2HD",
		"NPRO:H1",
		"NPRO:H2",
		"NGLN:C",
		"NGLN:O",
		"NGLN:N",
		"NGLN:H1",
		"NGLN:CA",
		"NGLN:HA",
		"NGLN:CB",
		"NGLN:1HB",
		"NGLN:2HB",
		"NGLN:CG",
		"NGLN:1HG",
		"NGLN:2HG",
		"NGLN:CD",
		"NGLN:OE1",
		"NGLN:NE2",
		"NGLN:1HE2",
		"NGLN:2HE2",
		"NGLN:H2",
		"NGLN:H3",
		"NARG:C",
		"NARG:O",
		"NARG:N",
		"NARG:H1",
		"NARG:CA",
		"NARG:HA",
		"NARG:CB",
		"NARG:1HB",
		"NARG:2HB",
		"NARG:CG",
		"NARG:1HG",
		"NARG:2HG",
		"NARG:CD",
		"NARG:1HD",
		"NARG:2HD",
		"NARG:NE",
		"NARG:HE",
		"NARG:CZ",
		"NARG:NH1",
		"NARG:1HH1",
		"NARG:2HH1",
		"NARG:NH2",
		"NARG:1HH2",
		"NARG:2HH2",
		"NARG:H2",
		"NARG:H3",
		"NSER:C",
		"NSER:O",
		"NSER:N",
		"NSER:H1",
		"NSER:CA",
		"NSER:HA",
		"NSER:CB",
		"NSER:1HB",
		"NSER:2HB",
		"NSER:OG",
		"NSER:HG",
		"NSER:H2",
		"NSER:H3",
		"NTHR:C",
		"NTHR:O",
		"NTHR:N",
		"NTHR:H1",
		"NTHR:CA",
		"NTHR:HA",
		"NTHR:CB",
		"NTHR:HB",
		"NTHR:CG2",
		"NTHR:1HG2",
		"NTHR:2HG2",
		"NTHR:3HG2",
		"NTHR:OG1",
		"NTHR:HG1",
		"NTHR:H2",
		"NTHR:H3",
		"NVAL:C",
		"NVAL:O",
		"NVAL:N",
		"NVAL:H1",
		"NVAL:CA",
		"NVAL:HA",
		"NVAL:CB",
		"NVAL:HB",
		"NVAL:CG1",
		"NVAL:1HG1",
		"NVAL:2HG1",
		"NVAL:3HG1",
		"NVAL:CG2",
		"NVAL:1HG2",
		"NVAL:2HG2",
		"NVAL:3HG2",
		"NVAL:H2",
		"NVAL:H3",
		"NTRP:C",
		"NTRP:O",
		"NTRP:N",
		"NTRP:H1",
		"NTRP:CA",
		"NTRP:HA",
		"NTRP:CB",
		"NTRP:1HB",
		"NTRP:2HB",
		"NTRP:CG",
		"NTRP:CD1",
		"NTRP:HD1",
		"NTRP:CD2",
		"NTRP:NE1",
		"NTRP:HE1",
		"NTRP:CE2",
		"NTRP:CE3",
		"NTRP:HE3",
		"NTRP:CZ2",
		"NTRP:HZ2",
		"NTRP:CZ3",
		"NTRP:HZ3",
		"NTRP:CH2",
		"NTRP:HH2",
		"NTRP:H2",
		"NTRP:H3",
		"NTYR:C",
		"NTYR:O",
		"NTYR:N",
		"NTYR:H1",
		"NTYR:CA",
		"NTYR:HA",
		"NTYR:CB",
		"NTYR:1HB",
		"NTYR:2HB",
		"NTYR:CG",
		"NTYR:CD1",
		"NTYR:HD1",
		"NTYR:CD2",
		"NTYR:HD2",
		"NTYR:CE1",
		"NTYR:HE1",
		"NTYR:CE2",
		"NTYR:HE2",
		"NTYR:CZ",
		"NTYR:OH",
		"NTYR:HH",
		"NTYR:H2",
		"NTYR:H3",
		"CALA:C",
		"CALA:O",
		"CALA:N",
		"CALA:H",
		"CALA:CA",
		"CALA:HA",
		"CALA:CB",
		"CALA:1HB",
		"CALA:2HB",
		"CALA:3HB",
		"CALA:OXT",
		"CCYS:C",
		"CCYS:O",
		"CCYS:N",
		"CCYS:H",
		"CCYS:CA",
		"CCYS:HA",
		"CCYS:CB",
		"CCYS:1HB",
		"CCYS:2HB",
		"CCYS:SG",
		"CCYS:HG",
		"CCYS:OXT",
		"CASP:C",
		"CASP:O",
		"CASP:N",
		"CASP:H",
		"CASP:CA",
		"CASP:HA",
		"CASP:CB",
		"CASP:1HB",
		"CASP:2HB",
		"CASP:CG",
		"CASP:OD1",
		"CASP:OD2",
		"CASP:OXT",
		"CGLU:C",
		"CGLU:O",
		"CGLU:N",
		"CGLU:H",
		"CGLU:CA",
		"CGLU:HA",
		"CGLU:CB",
		"CGLU:1HB",
		"CGLU:2HB",
		"CGLU:CG",
		"CGLU:1HG",
		"CGLU:2HG",
		"CGLU:CD",
		"CGLU:OE1",
		"CGLU:OE2",
		"CGLU:OXT",
		"CPHE:C",
		"CPHE:O",
		"CPHE:N",
		"CPHE:H",
		"CPHE:CA",
		"CPHE:HA",
		"CPHE:CB",
		"CPHE:1HB",
		"CPHE:2HB",
		"CPHE:CG",
		"CPHE:CD1",
		"CPHE:HD1",
		"CPHE:CD2",
		"CPHE:HD2",
		"CPHE:CE1",
		"CPHE:HE1",
		"CPHE:CE2",
		"CPHE:HE2",
		"CPHE:CZ",
		"CPHE:HZ",
		"CPHE:OXT",
		"CGLY:C",
		"CGLY:O",
		"CGLY:N",
		"CGLY:H",
		"CGLY:CA",
		"CGLY:1HA",
		"CGLY:2HA",
		"CGLY:OXT",
		"CHIS:C",
		"CHIS:O",
		"CHIS:N",
		"CHIS:H",
		"CHIS:CA",
		"CHIS:HA",
		"CHIS:CB",
		"CHIS:1HB",
		"CHIS:2HB",
		"CHIS:CG",
		"CHIS:ND1",
		"CHIS:CD2",
		"CHIS:HD2",
		"CHIS:CE1",
		"CHIS:HE1",
		"CHIS:NE2",
		"CHIS:HE2",
		"CHIS:OXT",
		"CILE:C",
		"CILE:O",
		"CILE:N",
		"CILE:H",
		"CILE:CA",
		"CILE:HA",
		"CILE:CB",
		"CILE:HB",
		"CILE:CG2",
		"CILE:1HG2",
		"CILE:2HG2",
		"CILE:3HG2",
		"CILE:CG1",
		"CILE:1HG1",
		"CILE:2HG1",
		"CILE:CD1",
		"CILE:1HD1",
		"CILE:2HD1",
		"CILE:3HD1",
		"CILE:OXT",
		"CLYS:C",
		"CLYS:O",
		"CLYS:N",
		"CLYS:H",
		"CLYS:CA",
		"CLYS:HA",
		"CLYS:CB",
		"CLYS:1HB",
		"CLYS:2HB",
		"CLYS:CG",
		"CLYS:1HG",
		"CLYS:2HG",
		"CLYS:CD",
		"CLYS:1HD",
		"CLYS:2HD",
		"CLYS:CE",
		"CLYS:1HE",
		"CLYS:2HE",
		"CLYS:NZ",
		"CLYS:1HZ",
		"CLYS:2HZ",
		"CLYS:3HZ",
		"CLYS:OXT",
		"CLEU:C",
		"CLEU:O",
		"CLEU:N",
		"CLEU:H",
		"CLEU:CA",
		"CLEU:HA",
		"CLEU:CB",
		"CLEU:1HB",
		"CLEU:2HB",
		"CLEU:CG",
		"CLEU:HG",
		"CLEU:CD1",
		"CLEU:1HD1",
		"CLEU:2HD1",
		"CLEU:3HD1",
		"CLEU:CD2",
		"CLEU:1HD2",
		"CLEU:2HD2",
		"CLEU:3HD2",
		"CLEU:OXT",
		"CMET:C",
		"CMET:O",
		"CMET:N",
		"CMET:H",
		"CMET:CA",
		"CMET:HA",
		"CMET:CB",
		"CMET:1HB",
		"CMET:2HB",
		"CMET:CG",
		"CMET:1HG",
		"CMET:2HG",
		"CMET:SD",
		"CMET:CE",
		"CMET:1HE",
		"CMET:2HE",
		"CMET:3HE",
		"CMET:OXT",
		"CASN:C",
		"CASN:O",
		"CASN:N",
		"CASN:H",
		"CASN:CA",
		"CASN:HA",
		"CASN:CB",
		"CASN:1HB",
		"CASN:2HB",
		"CASN:CG",
		"CASN:OD1",
		"CASN:ND2",
		"CASN:1HD2",
		"CASN:2HD2",
		"CASN:OXT",
		"CPRO:C",
		"CPRO:O",
		"CPRO:N",
		"CPRO:CA",
		"CPRO:HA",
		"CPRO:CB",
		"CPRO:1HB",
		"CPRO:2HB",
		"CPRO:CG",
		"CPRO:1HG",
		"CPRO:2HG",
		"CPRO:CD",
		"CPRO:1HD",
		"CPRO:2HD",
		"CPRO:OXT",
		"CGLN:C",
		"CGLN:O",
		"CGLN:N",
		"CGLN:H",
		"CGLN:CA",
		"CGLN:HA",
		"CGLN:CB",
		"CGLN:1HB",
		"CGLN:2HB",
		"CGLN:CG",
		"CGLN:1HG",
		"CGLN:2HG",
		"CGLN:CD",
		"CGLN:OE1",
		"CGLN:NE2",
		"CGLN:1HE2",
		"CGLN:2HE2",
		"CGLN:OXT",
		"CARG:C",
		"CARG:O",
		"CARG:N",
		"CARG:H",
		"CARG:CA",
		"CARG:HA",
		"CARG:CB",
		"CARG:1HB",
		"CARG:2HB",
		"CARG:CG",
		"CARG:1HG",
		"CARG:2HG",
		"CARG:CD",
		"CARG:1HD",
		"CARG:2HD",
		"CARG:NE",
		"CARG:HE",
		"CARG:CZ",
		"CARG:NH1",
		"CARG:1HH1",
		"CARG:2HH1",
		"CARG:NH2",
		"CARG:1HH2",
		"CARG:2HH2",
		"CARG:OXT",
		"CSER:C",
		"CSER:O",
		"CSER:N",
		"CSER:H",
		"CSER:CA",
		"CSER:HA",
		"CSER:CB",
		"CSER:1HB",
		"CSER:2HB",
		"CSER:OG",
		"CSER:HG",
		"CSER:OXT",
		"CTHR:C",
		"CTHR:O",
		"CTHR:N",
		"CTHR:H",
		"CTHR:CA",
		"CTHR:HA",
		"CTHR:CB",
		"CTHR:HB",
		"CTHR:CG2",
		"CTHR:1HG2",
		"CTHR:2HG2",
		"CTHR:3HG2",
		"CTHR:OG1",
		"CTHR:HG1",
		"CTHR:OXT",
		"CVAL:C",
		"CVAL:O",
		"CVAL:N",
		"CVAL:H",
		"CVAL:CA",
		"CVAL:HA",
		"CVAL:CB",
		"CVAL:HB",
		"CVAL:CG1",
		"CVAL:1HG1",
		"CVAL:2HG1",
		"CVAL:3HG1",
		"CVAL:CG2",
		"CVAL:1HG2",
		"CVAL:2HG2",
		"CVAL:3HG2",
		"CVAL:OXT",
		"CTRP:C",
		"CTRP:O",
		"CTRP:N",
		"CTRP:H",
		"CTRP:CA",
		"CTRP:HA",
		"CTRP:CB",
		"CTRP:1HB",
		"CTRP:2HB",
		"CTRP:CG",
		"CTRP:CD1",
		"CTRP:HD1",
		"CTRP:CD2",
		"CTRP:NE1",
		"CTRP:HE1",
		"CTRP:CE2",
		"CTRP:CE3",
		"CTRP:HE3",
		"CTRP:CZ2",
		"CTRP:HZ2",
		"CTRP:CZ3",
		"CTRP:HZ3",
		"CTRP:CH2",
		"CTRP:HH2",
		"CTRP:OXT",
		"CTYR:C",
		"CTYR:O",
		"CTYR:N",
		"CTYR:H",
		"CTYR:CA",
		"CTYR:HA",
		"CTYR:CB",
		"CTYR:1HB",
		"CTYR:2HB",
		"CTYR:CG",
		"CTYR:CD1",
		"CTYR:HD1",
		"CTYR:CD2",
		"CTYR:HD2",
		"CTYR:CE1",
		"CTYR:HE1",
		"CTYR:CE2",
		"CTYR:HE2",
		"CTYR:CZ",
		"CTYR:OH",
		"CTYR:HH",
		"CTYR:OXT",
	};


		toString_[AtomType::RAW_TYPE] = std::vector<std::string>(
				toStringDataRAW_TYPE, toStringDataRAW_TYPE + 1032);
	
	std::string toStringDataHYBRIDIZATION[] = {
		"SP2",
		"SP3",
		"RING",
		"H",
	};


		toString_[AtomType::HYBRIDIZATION] = std::vector<std::string>(
				toStringDataHYBRIDIZATION, toStringDataHYBRIDIZATION + 4);
	
	std::string toStringDataROSETTA_TYPE[] = {
		"CNH2",
		"COO",
		"CH1",
		"CH2",
		"CH3",
		"ARO_C",
		"TRP_N",
		"HIS_N",
		"H2O_N",
		"LYS_N",
		"ARG_N",
		"PRO_N",
		"OH",
		"ONH2",
		"OOC",
		"S",
		"BB_N",
		"BB_CA",
		"BB_CO",
		"BB_OC",
		"PHOS",
		"POL_H",
		"APO_H",
		"ARO_H",
		"BB_HN",
		"H2O",
		"FE3P",
	};


		toString_[AtomType::ROSETTA_TYPE] = std::vector<std::string>(
				toStringDataROSETTA_TYPE, toStringDataROSETTA_TYPE + 27);
	
	std::string toStringDataCOUNT_PAIR_TYPE[] = {
		"N",
		"CA",
		"C",
		"O",
		"CB",
		"SC",
		"HN",
		"HA",
		"PRO_CD",
		"PRO_HD",
	};


		toString_[AtomType::COUNT_PAIR_TYPE] = std::vector<std::string>(
				toStringDataCOUNT_PAIR_TYPE, toStringDataCOUNT_PAIR_TYPE + 10);
	
	std::string toStringDataOPLSaa_INTERACTION_TYPE[] = {
		"interaction_type_1",
		"interaction_type_2",
		"interaction_type_5",
		"interaction_type_6",
		"interaction_type_7",
		"interaction_type_8",
		"interaction_type_10",
		"interaction_type_15",
		"interaction_type_17",
		"interaction_type_18",
		"interaction_type_21",
		"interaction_type_22",
		"interaction_type_23",
		"interaction_type_24",
		"interaction_type_27",
		"interaction_type_28",
		"interaction_type_37",
		"interaction_type_38",
		"interaction_type_39",
		"interaction_type_40",
		"interaction_type_41",
		"interaction_type_42",
		"interaction_type_43",
		"interaction_type_44",
		"interaction_type_45",
		"interaction_type_46",
		"interaction_type_47",
		"interaction_type_48",
		"interaction_type_49",
	};


		toString_[AtomType::OPLSaa_INTERACTION_TYPE] = std::vector<std::string>(
				toStringDataOPLSaa_INTERACTION_TYPE, toStringDataOPLSaa_INTERACTION_TYPE + 29);
	
	std::string toStringDataOPLSaa_TYPE[] = {
		"atom_1",
		"atom_2",
		"atom_3",
		"atom_6",
		"atom_11",
		"atom_12",
		"atom_15",
		"atom_16",
		"atom_17",
		"atom_19",
		"atom_20",
		"atom_28",
		"atom_29",
		"atom_30",
		"atom_52",
		"atom_54",
		"atom_56",
		"atom_59",
		"atom_62",
		"atom_63",
		"atom_73",
		"atom_74",
		"atom_82",
		"atom_83",
		"atom_84",
		"atom_85",
		"atom_86",
		"atom_87",
		"atom_88",
		"atom_93",
		"atom_111",
		"atom_112",
		"atom_114",
		"atom_146",
		"atom_147",
		"atom_151",
		"atom_152",
		"atom_155",
		"atom_156",
		"atom_158",
		"atom_159",
		"atom_160",
		"atom_161",
		"atom_162",
		"atom_165",
		"atom_166",
		"atom_167",
		"atom_168",
		"atom_169",
		"atom_170",
		"atom_171",
		"atom_172",
		"atom_173",
		"atom_174",
		"atom_175",
		"atom_178",
		"atom_181",
		"atom_182",
		"atom_183",
		"atom_185",
	};


		toString_[AtomType::OPLSaa_TYPE] = std::vector<std::string>(
				toStringDataOPLSaa_TYPE, toStringDataOPLSaa_TYPE + 60);
	
	int conversionData[N_RAW_ATOM_TYPES][N_ATOM_TYPE_SYSTEMS] = {
		{ 0, 0, 18, 2, 10, 22, },
		{ 1, 0, 19, 3, 11, 23, },
		{ 2, 0, 16, 0, 12, 25, },
		{ 3, 3, 24, 6, 13, 28, },
		{ 4, 1, 17, 1, 0, 21, },
		{ 5, 3, 22, 7, 1, 3, },
		{ 6, 1, 4, 4, 0, 0, },
		{ 7, 3, 22, 5, 1, 3, },
		{ 8, 3, 22, 5, 1, 3, },
		{ 9, 3, 22, 5, 1, 3, },
		{ 10, 0, 18, 2, 10, 22, },
		{ 11, 0, 19, 3, 11, 23, },
		{ 12, 0, 16, 0, 12, 25, },
		{ 13, 3, 24, 6, 13, 28, },
		{ 14, 1, 17, 1, 0, 21, },
		{ 15, 3, 22, 7, 1, 3, },
		{ 16, 1, 3, 4, 0, 17, },
		{ 17, 3, 22, 5, 1, 3, },
		{ 18, 3, 22, 5, 1, 3, },
		{ 19, 1, 15, 5, 7, 14, },
		{ 20, 3, 21, 5, 9, 16, },
		{ 21, 0, 18, 2, 10, 22, },
		{ 22, 0, 19, 3, 11, 23, },
		{ 23, 0, 16, 0, 12, 25, },
		{ 24, 3, 24, 6, 13, 28, },
		{ 25, 1, 17, 1, 0, 21, },
		{ 26, 3, 22, 7, 1, 3, },
		{ 27, 1, 3, 4, 0, 32, },
		{ 28, 3, 22, 5, 1, 3, },
		{ 29, 3, 22, 5, 1, 3, },
		{ 30, 0, 1, 5, 14, 30, },
		{ 31, 0, 14, 5, 15, 31, },
		{ 32, 0, 14, 5, 15, 31, },
		{ 33, 0, 18, 2, 10, 22, },
		{ 34, 0, 19, 3, 11, 23, },
		{ 35, 0, 16, 0, 12, 25, },
		{ 36, 3, 24, 6, 13, 28, },
		{ 37, 1, 17, 1, 0, 21, },
		{ 38, 3, 22, 7, 1, 3, },
		{ 39, 1, 3, 4, 0, 1, },
		{ 40, 3, 22, 5, 1, 3, },
		{ 41, 3, 22, 5, 1, 3, },
		{ 42, 1, 3, 5, 0, 32, },
		{ 43, 3, 22, 5, 1, 3, },
		{ 44, 3, 22, 5, 1, 3, },
		{ 45, 0, 1, 5, 14, 30, },
		{ 46, 0, 14, 5, 15, 31, },
		{ 47, 0, 14, 5, 15, 31, },
		{ 48, 0, 18, 2, 10, 22, },
		{ 49, 0, 19, 3, 11, 23, },
		{ 50, 0, 16, 0, 12, 25, },
		{ 51, 3, 24, 6, 13, 28, },
		{ 52, 1, 17, 1, 0, 21, },
		{ 53, 3, 22, 7, 1, 3, },
		{ 54, 1, 3, 4, 0, 6, },
		{ 55, 3, 22, 5, 1, 3, },
		{ 56, 3, 22, 5, 1, 3, },
		{ 57, 0, 5, 5, 2, 4, },
		{ 58, 0, 5, 5, 2, 4, },
		{ 59, 3, 23, 5, 3, 5, },
		{ 60, 0, 5, 5, 2, 4, },
		{ 61, 3, 23, 5, 3, 5, },
		{ 62, 0, 5, 5, 2, 4, },
		{ 63, 3, 23, 5, 3, 5, },
		{ 64, 0, 5, 5, 2, 4, },
		{ 65, 3, 23, 5, 3, 5, },
		{ 66, 0, 5, 5, 2, 4, },
		{ 67, 3, 23, 5, 3, 5, },
		{ 68, 0, 18, 2, 10, 22, },
		{ 69, 0, 19, 3, 11, 23, },
		{ 70, 0, 16, 0, 12, 25, },
		{ 71, 3, 24, 6, 13, 28, },
		{ 72, 1, 17, 1, 0, 20, },
		{ 73, 3, 22, 7, 1, 3, },
		{ 74, 3, 22, 7, 1, 3, },
		{ 75, 0, 18, 2, 10, 22, },
		{ 76, 0, 19, 3, 11, 23, },
		{ 77, 0, 16, 0, 12, 25, },
		{ 78, 3, 24, 6, 13, 28, },
		{ 79, 1, 17, 1, 0, 21, },
		{ 80, 3, 22, 7, 1, 3, },
		{ 81, 1, 3, 4, 0, 51, },
		{ 82, 3, 22, 5, 1, 3, },
		{ 83, 3, 22, 5, 1, 3, },
		{ 84, 0, 5, 5, 25, 53, },
		{ 85, 2, 7, 5, 27, 55, },
		{ 86, 0, 5, 5, 26, 54, },
		{ 87, 3, 22, 5, 3, 5, },
		{ 88, 0, 5, 5, 24, 52, },
		{ 89, 3, 22, 5, 3, 5, },
		{ 90, 0, 6, 5, 23, 49, },
		{ 91, 3, 21, 5, 13, 50, },
		{ 92, 0, 18, 2, 10, 22, },
		{ 93, 0, 19, 3, 11, 23, },
		{ 94, 0, 16, 0, 12, 25, },
		{ 95, 3, 24, 6, 13, 28, },
		{ 96, 1, 17, 1, 0, 21, },
		{ 97, 3, 22, 7, 1, 3, },
		{ 98, 1, 2, 4, 0, 2, },
		{ 99, 3, 22, 5, 1, 3, },
		{ 100, 1, 4, 5, 0, 0, },
		{ 101, 3, 22, 5, 1, 3, },
		{ 102, 3, 22, 5, 1, 3, },
		{ 103, 3, 22, 5, 1, 3, },
		{ 104, 1, 3, 5, 0, 1, },
		{ 105, 3, 22, 5, 1, 3, },
		{ 106, 3, 22, 5, 1, 3, },
		{ 107, 1, 4, 5, 0, 0, },
		{ 108, 3, 22, 5, 1, 3, },
		{ 109, 3, 22, 5, 1, 3, },
		{ 110, 3, 22, 5, 1, 3, },
		{ 111, 0, 18, 2, 10, 22, },
		{ 112, 0, 19, 3, 11, 23, },
		{ 113, 0, 16, 0, 12, 25, },
		{ 114, 3, 24, 6, 13, 28, },
		{ 115, 1, 17, 1, 0, 21, },
		{ 116, 3, 22, 7, 1, 3, },
		{ 117, 1, 3, 4, 0, 1, },
		{ 118, 3, 22, 5, 1, 3, },
		{ 119, 3, 22, 5, 1, 3, },
		{ 120, 1, 3, 5, 0, 1, },
		{ 121, 3, 22, 5, 1, 3, },
		{ 122, 3, 22, 5, 1, 3, },
		{ 123, 1, 3, 5, 0, 1, },
		{ 124, 3, 22, 5, 1, 3, },
		{ 125, 3, 22, 5, 1, 3, },
		{ 126, 1, 3, 5, 0, 37, },
		{ 127, 3, 22, 5, 1, 3, },
		{ 128, 3, 22, 5, 1, 3, },
		{ 129, 1, 9, 5, 16, 33, },
		{ 130, 3, 21, 5, 17, 35, },
		{ 131, 3, 21, 5, 17, 35, },
		{ 132, 3, 21, 5, 17, 35, },
		{ 133, 0, 18, 2, 10, 22, },
		{ 134, 0, 19, 3, 11, 23, },
		{ 135, 0, 16, 0, 12, 25, },
		{ 136, 3, 24, 6, 13, 28, },
		{ 137, 1, 17, 1, 0, 21, },
		{ 138, 3, 22, 7, 1, 3, },
		{ 139, 1, 3, 4, 0, 1, },
		{ 140, 3, 22, 5, 1, 3, },
		{ 141, 3, 22, 5, 1, 3, },
		{ 142, 1, 2, 5, 0, 2, },
		{ 143, 3, 22, 5, 1, 3, },
		{ 144, 1, 4, 5, 0, 0, },
		{ 145, 3, 22, 5, 1, 3, },
		{ 146, 3, 22, 5, 1, 3, },
		{ 147, 3, 22, 5, 1, 3, },
		{ 148, 1, 4, 5, 0, 0, },
		{ 149, 3, 22, 5, 1, 3, },
		{ 150, 3, 22, 5, 1, 3, },
		{ 151, 3, 22, 5, 1, 3, },
		{ 152, 0, 18, 2, 10, 22, },
		{ 153, 0, 19, 3, 11, 23, },
		{ 154, 0, 16, 0, 12, 25, },
		{ 155, 3, 24, 6, 13, 28, },
		{ 156, 1, 17, 1, 0, 21, },
		{ 157, 3, 22, 7, 1, 3, },
		{ 158, 1, 3, 4, 0, 1, },
		{ 159, 3, 22, 5, 1, 3, },
		{ 160, 3, 22, 5, 1, 3, },
		{ 161, 1, 3, 5, 0, 19, },
		{ 162, 3, 22, 5, 1, 3, },
		{ 163, 3, 22, 5, 1, 3, },
		{ 164, 1, 15, 5, 8, 15, },
		{ 165, 1, 4, 5, 0, 18, },
		{ 166, 3, 22, 5, 1, 3, },
		{ 167, 3, 22, 5, 1, 3, },
		{ 168, 3, 22, 5, 1, 3, },
		{ 169, 0, 18, 2, 10, 22, },
		{ 170, 0, 19, 3, 11, 23, },
		{ 171, 0, 16, 0, 12, 25, },
		{ 172, 3, 24, 6, 13, 28, },
		{ 173, 1, 17, 1, 0, 21, },
		{ 174, 3, 22, 7, 1, 3, },
		{ 175, 1, 3, 4, 0, 1, },
		{ 176, 3, 22, 5, 1, 3, },
		{ 177, 3, 22, 5, 1, 3, },
		{ 178, 0, 0, 5, 10, 22, },
		{ 179, 0, 13, 5, 11, 23, },
		{ 180, 0, 8, 5, 12, 24, },
		{ 181, 3, 21, 5, 13, 27, },
		{ 182, 3, 21, 5, 13, 27, },
		{ 183, 0, 18, 2, 10, 22, },
		{ 184, 0, 19, 3, 11, 23, },
		{ 185, 0, 11, 0, 12, 26, },
		{ 186, 1, 17, 1, 0, 29, },
		{ 187, 3, 22, 7, 1, 3, },
		{ 188, 1, 3, 4, 0, 1, },
		{ 189, 3, 22, 5, 1, 3, },
		{ 190, 3, 22, 5, 1, 3, },
		{ 191, 1, 3, 5, 0, 1, },
		{ 192, 3, 22, 5, 1, 3, },
		{ 193, 3, 22, 5, 1, 3, },
		{ 194, 1, 3, 8, 28, 56, },
		{ 195, 3, 22, 9, 1, 3, },
		{ 196, 3, 22, 9, 1, 3, },
		{ 197, 0, 18, 2, 10, 22, },
		{ 198, 0, 19, 3, 11, 23, },
		{ 199, 0, 16, 0, 12, 25, },
		{ 200, 3, 24, 6, 13, 28, },
		{ 201, 1, 17, 1, 0, 21, },
		{ 202, 3, 22, 7, 1, 3, },
		{ 203, 1, 3, 4, 0, 1, },
		{ 204, 3, 22, 5, 1, 3, },
		{ 205, 3, 22, 5, 1, 3, },
		{ 206, 1, 3, 5, 0, 1, },
		{ 207, 3, 22, 5, 1, 3, },
		{ 208, 3, 22, 5, 1, 3, },
		{ 209, 0, 0, 5, 10, 22, },
		{ 210, 0, 13, 5, 11, 23, },
		{ 211, 0, 8, 5, 12, 24, },
		{ 212, 3, 21, 5, 13, 27, },
		{ 213, 3, 21, 5, 13, 27, },
		{ 214, 0, 18, 2, 10, 22, },
		{ 215, 0, 19, 3, 11, 23, },
		{ 216, 0, 16, 0, 12, 25, },
		{ 217, 3, 24, 6, 13, 28, },
		{ 218, 1, 17, 1, 0, 21, },
		{ 219, 3, 22, 7, 1, 3, },
		{ 220, 1, 3, 4, 0, 1, },
		{ 221, 3, 22, 5, 1, 3, },
		{ 222, 3, 22, 5, 1, 3, },
		{ 223, 1, 3, 5, 0, 45, },
		{ 224, 3, 22, 5, 1, 3, },
		{ 225, 3, 22, 5, 1, 3, },
		{ 226, 1, 3, 5, 0, 44, },
		{ 227, 3, 22, 5, 1, 3, },
		{ 228, 3, 22, 5, 1, 3, },
		{ 229, 0, 10, 5, 18, 40, },
		{ 230, 3, 21, 5, 17, 42, },
		{ 231, 0, 5, 5, 19, 43, },
		{ 232, 0, 10, 5, 18, 39, },
		{ 233, 3, 21, 5, 17, 41, },
		{ 234, 3, 21, 5, 17, 41, },
		{ 235, 0, 10, 5, 18, 39, },
		{ 236, 3, 21, 5, 17, 41, },
		{ 237, 3, 21, 5, 17, 41, },
		{ 238, 0, 18, 2, 10, 22, },
		{ 239, 0, 19, 3, 11, 23, },
		{ 240, 0, 16, 0, 12, 25, },
		{ 241, 3, 24, 6, 13, 28, },
		{ 242, 1, 17, 1, 0, 21, },
		{ 243, 3, 22, 7, 1, 3, },
		{ 244, 1, 3, 4, 0, 9, },
		{ 245, 3, 22, 5, 1, 3, },
		{ 246, 3, 22, 5, 1, 3, },
		{ 247, 1, 12, 5, 4, 7, },
		{ 248, 3, 21, 5, 5, 8, },
		{ 249, 0, 18, 2, 10, 22, },
		{ 250, 0, 19, 3, 11, 23, },
		{ 251, 0, 16, 0, 12, 25, },
		{ 252, 3, 24, 6, 13, 28, },
		{ 253, 1, 17, 1, 0, 21, },
		{ 254, 3, 22, 7, 1, 3, },
		{ 255, 1, 2, 4, 0, 10, },
		{ 256, 3, 22, 5, 1, 3, },
		{ 257, 1, 4, 5, 0, 0, },
		{ 258, 3, 22, 5, 1, 3, },
		{ 259, 3, 22, 5, 1, 3, },
		{ 260, 3, 22, 5, 1, 3, },
		{ 261, 1, 12, 5, 4, 7, },
		{ 262, 3, 21, 5, 5, 8, },
		{ 263, 0, 18, 2, 10, 22, },
		{ 264, 0, 19, 3, 11, 23, },
		{ 265, 0, 16, 0, 12, 25, },
		{ 266, 3, 24, 6, 13, 28, },
		{ 267, 1, 17, 1, 0, 21, },
		{ 268, 3, 22, 7, 1, 3, },
		{ 269, 1, 2, 4, 0, 2, },
		{ 270, 3, 22, 5, 1, 3, },
		{ 271, 1, 4, 5, 0, 0, },
		{ 272, 3, 22, 5, 1, 3, },
		{ 273, 3, 22, 5, 1, 3, },
		{ 274, 3, 22, 5, 1, 3, },
		{ 275, 1, 4, 5, 0, 0, },
		{ 276, 3, 22, 5, 1, 3, },
		{ 277, 3, 22, 5, 1, 3, },
		{ 278, 3, 22, 5, 1, 3, },
		{ 279, 0, 18, 2, 10, 22, },
		{ 280, 0, 19, 3, 11, 23, },
		{ 281, 0, 16, 0, 12, 25, },
		{ 282, 3, 24, 6, 13, 28, },
		{ 283, 1, 17, 1, 0, 21, },
		{ 284, 3, 22, 7, 1, 3, },
		{ 285, 1, 3, 4, 0, 1, },
		{ 286, 3, 22, 5, 1, 3, },
		{ 287, 3, 22, 5, 1, 3, },
		{ 288, 0, 5, 5, 20, 46, },
		{ 289, 0, 5, 5, 2, 4, },
		{ 290, 3, 23, 5, 3, 5, },
		{ 291, 0, 5, 5, 21, 47, },
		{ 292, 0, 6, 5, 23, 49, },
		{ 293, 3, 21, 5, 13, 50, },
		{ 294, 0, 5, 5, 22, 48, },
		{ 295, 0, 5, 5, 2, 4, },
		{ 296, 3, 23, 5, 3, 5, },
		{ 297, 0, 5, 5, 2, 4, },
		{ 298, 3, 23, 5, 3, 5, },
		{ 299, 0, 5, 5, 2, 4, },
		{ 300, 3, 23, 5, 3, 5, },
		{ 301, 0, 5, 5, 2, 4, },
		{ 302, 3, 23, 5, 3, 5, },
		{ 303, 0, 18, 2, 10, 22, },
		{ 304, 0, 19, 3, 11, 23, },
		{ 305, 0, 16, 0, 12, 25, },
		{ 306, 3, 24, 6, 13, 28, },
		{ 307, 1, 17, 1, 0, 21, },
		{ 308, 3, 22, 7, 1, 3, },
		{ 309, 1, 3, 4, 0, 6, },
		{ 310, 3, 22, 5, 1, 3, },
		{ 311, 3, 22, 5, 1, 3, },
		{ 312, 0, 5, 5, 2, 4, },
		{ 313, 0, 5, 5, 2, 4, },
		{ 314, 3, 23, 5, 3, 5, },
		{ 315, 0, 5, 5, 2, 4, },
		{ 316, 3, 23, 5, 3, 5, },
		{ 317, 0, 5, 5, 2, 4, },
		{ 318, 3, 23, 5, 3, 5, },
		{ 319, 0, 5, 5, 2, 4, },
		{ 320, 3, 23, 5, 3, 5, },
		{ 321, 0, 5, 5, 2, 11, },
		{ 322, 1, 12, 5, 6, 12, },
		{ 323, 3, 21, 5, 5, 13, },
		{ 324, 0, 18, 2, 10, 22, },
		{ 325, 0, 19, 3, 11, 23, },
		{ 326, 1, 9, 5, 16, 33, },
		{ 327, 3, 21, 5, 17, 35, },
		{ 328, 1, 17, 1, 0, 38, },
		{ 329, 3, 22, 7, 1, 3, },
		{ 330, 1, 4, 4, 0, 0, },
		{ 331, 3, 22, 5, 1, 3, },
		{ 332, 3, 22, 5, 1, 3, },
		{ 333, 3, 22, 5, 1, 3, },
		{ 334, 3, 21, 5, 17, 35, },
		{ 335, 3, 21, 5, 17, 35, },
		{ 336, 0, 18, 2, 10, 22, },
		{ 337, 0, 19, 3, 11, 23, },
		{ 338, 1, 9, 5, 16, 33, },
		{ 339, 3, 21, 5, 17, 35, },
		{ 340, 1, 17, 1, 0, 38, },
		{ 341, 3, 22, 7, 1, 3, },
		{ 342, 1, 3, 4, 0, 17, },
		{ 343, 3, 22, 5, 1, 3, },
		{ 344, 3, 22, 5, 1, 3, },
		{ 345, 1, 15, 5, 7, 14, },
		{ 346, 3, 21, 5, 9, 16, },
		{ 347, 3, 21, 5, 17, 35, },
		{ 348, 3, 21, 5, 17, 35, },
		{ 349, 0, 18, 2, 10, 22, },
		{ 350, 0, 19, 3, 11, 23, },
		{ 351, 1, 9, 5, 16, 33, },
		{ 352, 3, 21, 5, 17, 35, },
		{ 353, 1, 17, 1, 0, 38, },
		{ 354, 3, 22, 7, 1, 3, },
		{ 355, 1, 3, 4, 0, 32, },
		{ 356, 3, 22, 5, 1, 3, },
		{ 357, 3, 22, 5, 1, 3, },
		{ 358, 0, 1, 5, 14, 30, },
		{ 359, 0, 14, 5, 15, 31, },
		{ 360, 0, 14, 5, 15, 31, },
		{ 361, 3, 21, 5, 17, 35, },
		{ 362, 3, 21, 5, 17, 35, },
		{ 363, 0, 18, 2, 10, 22, },
		{ 364, 0, 19, 3, 11, 23, },
		{ 365, 1, 9, 5, 16, 33, },
		{ 366, 3, 21, 5, 17, 35, },
		{ 367, 1, 17, 1, 0, 38, },
		{ 368, 3, 22, 7, 1, 3, },
		{ 369, 1, 3, 4, 0, 1, },
		{ 370, 3, 22, 5, 1, 3, },
		{ 371, 3, 22, 5, 1, 3, },
		{ 372, 1, 3, 5, 0, 32, },
		{ 373, 3, 22, 5, 1, 3, },
		{ 374, 3, 22, 5, 1, 3, },
		{ 375, 0, 1, 5, 14, 30, },
		{ 376, 0, 14, 5, 15, 31, },
		{ 377, 0, 14, 5, 15, 31, },
		{ 378, 3, 21, 5, 17, 35, },
		{ 379, 3, 21, 5, 17, 35, },
		{ 380, 0, 18, 2, 10, 22, },
		{ 381, 0, 19, 3, 11, 23, },
		{ 382, 1, 9, 5, 16, 33, },
		{ 383, 3, 21, 5, 17, 35, },
		{ 384, 1, 17, 1, 0, 38, },
		{ 385, 3, 22, 7, 1, 3, },
		{ 386, 1, 3, 4, 0, 6, },
		{ 387, 3, 22, 5, 1, 3, },
		{ 388, 3, 22, 5, 1, 3, },
		{ 389, 0, 5, 5, 2, 4, },
		{ 390, 0, 5, 5, 2, 4, },
		{ 391, 3, 23, 5, 3, 5, },
		{ 392, 0, 5, 5, 2, 4, },
		{ 393, 3, 23, 5, 3, 5, },
		{ 394, 0, 5, 5, 2, 4, },
		{ 395, 3, 23, 5, 3, 5, },
		{ 396, 0, 5, 5, 2, 4, },
		{ 397, 3, 23, 5, 3, 5, },
		{ 398, 0, 5, 5, 2, 4, },
		{ 399, 3, 23, 5, 3, 5, },
		{ 400, 3, 21, 5, 17, 35, },
		{ 401, 3, 21, 5, 17, 35, },
		{ 402, 0, 18, 2, 10, 22, },
		{ 403, 0, 19, 3, 11, 23, },
		{ 404, 1, 9, 5, 16, 33, },
		{ 405, 3, 21, 5, 17, 35, },
		{ 406, 1, 17, 1, 0, 37, },
		{ 407, 3, 22, 7, 1, 3, },
		{ 408, 3, 22, 7, 1, 3, },
		{ 409, 3, 21, 5, 17, 35, },
		{ 410, 3, 21, 5, 17, 35, },
		{ 411, 0, 18, 2, 10, 22, },
		{ 412, 0, 19, 3, 11, 23, },
		{ 413, 1, 9, 5, 16, 33, },
		{ 414, 3, 21, 5, 17, 35, },
		{ 415, 1, 17, 1, 0, 38, },
		{ 416, 3, 22, 7, 1, 3, },
		{ 417, 1, 3, 4, 0, 51, },
		{ 418, 3, 22, 5, 1, 3, },
		{ 419, 3, 22, 5, 1, 3, },
		{ 420, 0, 5, 5, 25, 53, },
		{ 421, 2, 7, 5, 27, 55, },
		{ 422, 0, 5, 5, 26, 54, },
		{ 423, 3, 22, 5, 3, 5, },
		{ 424, 0, 5, 5, 24, 52, },
		{ 425, 3, 22, 5, 3, 5, },
		{ 426, 0, 6, 5, 23, 49, },
		{ 427, 3, 21, 5, 13, 50, },
		{ 428, 3, 21, 5, 17, 35, },
		{ 429, 3, 21, 5, 17, 35, },
		{ 430, 0, 18, 2, 10, 22, },
		{ 431, 0, 19, 3, 11, 23, },
		{ 432, 1, 9, 5, 16, 33, },
		{ 433, 3, 21, 5, 17, 35, },
		{ 434, 1, 17, 1, 0, 38, },
		{ 435, 3, 22, 7, 1, 3, },
		{ 436, 1, 2, 4, 0, 2, },
		{ 437, 3, 22, 5, 1, 3, },
		{ 438, 1, 4, 5, 0, 0, },
		{ 439, 3, 22, 5, 1, 3, },
		{ 440, 3, 22, 5, 1, 3, },
		{ 441, 3, 22, 5, 1, 3, },
		{ 442, 1, 3, 5, 0, 1, },
		{ 443, 3, 22, 5, 1, 3, },
		{ 444, 3, 22, 5, 1, 3, },
		{ 445, 1, 4, 5, 0, 0, },
		{ 446, 3, 22, 5, 1, 3, },
		{ 447, 3, 22, 5, 1, 3, },
		{ 448, 3, 22, 5, 1, 3, },
		{ 449, 3, 21, 5, 17, 35, },
		{ 450, 3, 21, 5, 17, 35, },
		{ 451, 0, 18, 2, 10, 22, },
		{ 452, 0, 19, 3, 11, 23, },
		{ 453, 1, 9, 5, 16, 33, },
		{ 454, 3, 21, 5, 17, 35, },
		{ 455, 1, 17, 1, 0, 38, },
		{ 456, 3, 22, 7, 1, 3, },
		{ 457, 1, 3, 4, 0, 1, },
		{ 458, 3, 22, 5, 1, 3, },
		{ 459, 3, 22, 5, 1, 3, },
		{ 460, 1, 3, 5, 0, 1, },
		{ 461, 3, 22, 5, 1, 3, },
		{ 462, 3, 22, 5, 1, 3, },
		{ 463, 1, 3, 5, 0, 1, },
		{ 464, 3, 22, 5, 1, 3, },
		{ 465, 3, 22, 5, 1, 3, },
		{ 466, 1, 3, 5, 0, 37, },
		{ 467, 3, 22, 5, 1, 3, },
		{ 468, 3, 22, 5, 1, 3, },
		{ 469, 1, 9, 5, 16, 33, },
		{ 470, 3, 21, 5, 17, 35, },
		{ 471, 3, 21, 5, 17, 35, },
		{ 472, 3, 21, 5, 17, 35, },
		{ 473, 3, 21, 5, 17, 35, },
		{ 474, 3, 21, 5, 17, 35, },
		{ 475, 0, 18, 2, 10, 22, },
		{ 476, 0, 19, 3, 11, 23, },
		{ 477, 1, 9, 5, 16, 33, },
		{ 478, 3, 21, 5, 17, 35, },
		{ 479, 1, 17, 1, 0, 38, },
		{ 480, 3, 22, 7, 1, 3, },
		{ 481, 1, 3, 4, 0, 1, },
		{ 482, 3, 22, 5, 1, 3, },
		{ 483, 3, 22, 5, 1, 3, },
		{ 484, 1, 2, 5, 0, 2, },
		{ 485, 3, 22, 5, 1, 3, },
		{ 486, 1, 4, 5, 0, 0, },
		{ 487, 3, 22, 5, 1, 3, },
		{ 488, 3, 22, 5, 1, 3, },
		{ 489, 3, 22, 5, 1, 3, },
		{ 490, 1, 4, 5, 0, 0, },
		{ 491, 3, 22, 5, 1, 3, },
		{ 492, 3, 22, 5, 1, 3, },
		{ 493, 3, 22, 5, 1, 3, },
		{ 494, 3, 21, 5, 17, 35, },
		{ 495, 3, 21, 5, 17, 35, },
		{ 496, 0, 18, 2, 10, 22, },
		{ 497, 0, 19, 3, 11, 23, },
		{ 498, 1, 9, 5, 16, 33, },
		{ 499, 3, 21, 5, 17, 35, },
		{ 500, 1, 17, 1, 0, 38, },
		{ 501, 3, 22, 7, 1, 3, },
		{ 502, 1, 3, 4, 0, 1, },
		{ 503, 3, 22, 5, 1, 3, },
		{ 504, 3, 22, 5, 1, 3, },
		{ 505, 1, 3, 5, 0, 19, },
		{ 506, 3, 22, 5, 1, 3, },
		{ 507, 3, 22, 5, 1, 3, },
		{ 508, 1, 15, 5, 8, 15, },
		{ 509, 1, 4, 5, 0, 18, },
		{ 510, 3, 22, 5, 1, 3, },
		{ 511, 3, 22, 5, 1, 3, },
		{ 512, 3, 22, 5, 1, 3, },
		{ 513, 3, 21, 5, 17, 35, },
		{ 514, 3, 21, 5, 17, 35, },
		{ 515, 0, 18, 2, 10, 22, },
		{ 516, 0, 19, 3, 11, 23, },
		{ 517, 1, 9, 5, 16, 33, },
		{ 518, 3, 21, 5, 17, 35, },
		{ 519, 1, 17, 1, 0, 38, },
		{ 520, 3, 22, 7, 1, 3, },
		{ 521, 1, 3, 4, 0, 1, },
		{ 522, 3, 22, 5, 1, 3, },
		{ 523, 3, 22, 5, 1, 3, },
		{ 524, 0, 0, 5, 10, 22, },
		{ 525, 0, 13, 5, 11, 23, },
		{ 526, 0, 8, 5, 12, 24, },
		{ 527, 3, 21, 5, 13, 27, },
		{ 528, 3, 21, 5, 13, 27, },
		{ 529, 3, 21, 5, 17, 35, },
		{ 530, 3, 21, 5, 17, 35, },
		{ 531, 0, 18, 2, 10, 22, },
		{ 532, 0, 19, 3, 11, 23, },
		{ 533, 0, 11, 0, 16, 34, },
		{ 534, 1, 17, 1, 0, 38, },
		{ 535, 3, 22, 7, 1, 3, },
		{ 536, 1, 3, 4, 0, 1, },
		{ 537, 3, 22, 5, 1, 3, },
		{ 538, 3, 22, 5, 1, 3, },
		{ 539, 1, 3, 5, 0, 1, },
		{ 540, 3, 22, 5, 1, 3, },
		{ 541, 3, 22, 5, 1, 3, },
		{ 542, 1, 3, 5, 0, 37, },
		{ 543, 3, 22, 5, 1, 3, },
		{ 544, 3, 22, 5, 1, 3, },
		{ 545, 3, 21, 5, 17, 36, },
		{ 546, 3, 21, 5, 17, 36, },
		{ 547, 0, 18, 2, 10, 22, },
		{ 548, 0, 19, 3, 11, 23, },
		{ 549, 1, 9, 5, 16, 33, },
		{ 550, 3, 21, 5, 17, 35, },
		{ 551, 1, 17, 1, 0, 38, },
		{ 552, 3, 22, 7, 1, 3, },
		{ 553, 1, 3, 4, 0, 1, },
		{ 554, 3, 22, 5, 1, 3, },
		{ 555, 3, 22, 5, 1, 3, },
		{ 556, 1, 3, 5, 0, 1, },
		{ 557, 3, 22, 5, 1, 3, },
		{ 558, 3, 22, 5, 1, 3, },
		{ 559, 0, 0, 5, 10, 22, },
		{ 560, 0, 13, 5, 11, 23, },
		{ 561, 0, 8, 5, 12, 24, },
		{ 562, 3, 21, 5, 13, 27, },
		{ 563, 3, 21, 5, 13, 27, },
		{ 564, 3, 21, 5, 17, 35, },
		{ 565, 3, 21, 5, 17, 35, },
		{ 566, 0, 18, 2, 10, 22, },
		{ 567, 0, 19, 3, 11, 23, },
		{ 568, 1, 9, 5, 16, 33, },
		{ 569, 3, 21, 5, 17, 35, },
		{ 570, 1, 17, 1, 0, 38, },
		{ 571, 3, 22, 7, 1, 3, },
		{ 572, 1, 3, 4, 0, 1, },
		{ 573, 3, 22, 5, 1, 3, },
		{ 574, 3, 22, 5, 1, 3, },
		{ 575, 1, 3, 5, 0, 45, },
		{ 576, 3, 22, 5, 1, 3, },
		{ 577, 3, 22, 5, 1, 3, },
		{ 578, 1, 3, 5, 0, 44, },
		{ 579, 3, 22, 5, 1, 3, },
		{ 580, 3, 22, 5, 1, 3, },
		{ 581, 0, 10, 5, 18, 40, },
		{ 582, 3, 21, 5, 17, 42, },
		{ 583, 0, 5, 5, 19, 43, },
		{ 584, 0, 10, 5, 18, 39, },
		{ 585, 3, 21, 5, 17, 41, },
		{ 586, 3, 21, 5, 17, 41, },
		{ 587, 0, 10, 5, 18, 39, },
		{ 588, 3, 21, 5, 17, 41, },
		{ 589, 3, 21, 5, 17, 41, },
		{ 590, 3, 21, 5, 17, 35, },
		{ 591, 3, 21, 5, 17, 35, },
		{ 592, 0, 18, 2, 10, 22, },
		{ 593, 0, 19, 3, 11, 23, },
		{ 594, 1, 9, 5, 16, 33, },
		{ 595, 3, 21, 5, 17, 35, },
		{ 596, 1, 17, 1, 0, 38, },
		{ 597, 3, 22, 7, 1, 3, },
		{ 598, 1, 3, 4, 0, 9, },
		{ 599, 3, 22, 5, 1, 3, },
		{ 600, 3, 22, 5, 1, 3, },
		{ 601, 1, 12, 5, 4, 7, },
		{ 602, 3, 21, 5, 5, 8, },
		{ 603, 3, 21, 5, 17, 35, },
		{ 604, 3, 21, 5, 17, 35, },
		{ 605, 0, 18, 2, 10, 22, },
		{ 606, 0, 19, 3, 11, 23, },
		{ 607, 1, 9, 5, 16, 33, },
		{ 608, 3, 21, 5, 17, 35, },
		{ 609, 1, 17, 1, 0, 38, },
		{ 610, 3, 22, 7, 1, 3, },
		{ 611, 1, 2, 4, 0, 10, },
		{ 612, 3, 22, 5, 1, 3, },
		{ 613, 1, 4, 5, 0, 0, },
		{ 614, 3, 22, 5, 1, 3, },
		{ 615, 3, 22, 5, 1, 3, },
		{ 616, 3, 22, 5, 1, 3, },
		{ 617, 1, 12, 5, 4, 7, },
		{ 618, 3, 21, 5, 5, 8, },
		{ 619, 3, 21, 5, 17, 35, },
		{ 620, 3, 21, 5, 17, 35, },
		{ 621, 0, 18, 2, 10, 22, },
		{ 622, 0, 19, 3, 11, 23, },
		{ 623, 1, 9, 5, 16, 33, },
		{ 624, 3, 21, 5, 17, 35, },
		{ 625, 1, 17, 1, 0, 38, },
		{ 626, 3, 22, 7, 1, 3, },
		{ 627, 1, 2, 4, 0, 2, },
		{ 628, 3, 22, 5, 1, 3, },
		{ 629, 1, 4, 5, 0, 0, },
		{ 630, 3, 22, 5, 1, 3, },
		{ 631, 3, 22, 5, 1, 3, },
		{ 632, 3, 22, 5, 1, 3, },
		{ 633, 1, 4, 5, 0, 0, },
		{ 634, 3, 22, 5, 1, 3, },
		{ 635, 3, 22, 5, 1, 3, },
		{ 636, 3, 22, 5, 1, 3, },
		{ 637, 3, 21, 5, 17, 35, },
		{ 638, 3, 21, 5, 17, 35, },
		{ 639, 0, 18, 2, 10, 22, },
		{ 640, 0, 19, 3, 11, 23, },
		{ 641, 1, 9, 5, 16, 33, },
		{ 642, 3, 21, 5, 17, 35, },
		{ 643, 1, 17, 1, 0, 38, },
		{ 644, 3, 22, 7, 1, 3, },
		{ 645, 1, 3, 4, 0, 1, },
		{ 646, 3, 22, 5, 1, 3, },
		{ 647, 3, 22, 5, 1, 3, },
		{ 648, 0, 5, 5, 20, 46, },
		{ 649, 0, 5, 5, 2, 4, },
		{ 650, 3, 23, 5, 3, 5, },
		{ 651, 0, 5, 5, 21, 47, },
		{ 652, 0, 6, 5, 23, 49, },
		{ 653, 3, 21, 5, 13, 50, },
		{ 654, 0, 5, 5, 22, 48, },
		{ 655, 0, 5, 5, 2, 4, },
		{ 656, 3, 23, 5, 3, 5, },
		{ 657, 0, 5, 5, 2, 4, },
		{ 658, 3, 23, 5, 3, 5, },
		{ 659, 0, 5, 5, 2, 4, },
		{ 660, 3, 23, 5, 3, 5, },
		{ 661, 0, 5, 5, 2, 4, },
		{ 662, 3, 23, 5, 3, 5, },
		{ 663, 3, 21, 5, 17, 35, },
		{ 664, 3, 21, 5, 17, 35, },
		{ 665, 0, 18, 2, 10, 22, },
		{ 666, 0, 19, 3, 11, 23, },
		{ 667, 1, 9, 5, 16, 33, },
		{ 668, 3, 21, 5, 17, 35, },
		{ 669, 1, 17, 1, 0, 38, },
		{ 670, 3, 22, 7, 1, 3, },
		{ 671, 1, 3, 4, 0, 6, },
		{ 672, 3, 22, 5, 1, 3, },
		{ 673, 3, 22, 5, 1, 3, },
		{ 674, 0, 5, 5, 2, 4, },
		{ 675, 0, 5, 5, 2, 4, },
		{ 676, 3, 23, 5, 3, 5, },
		{ 677, 0, 5, 5, 2, 4, },
		{ 678, 3, 23, 5, 3, 5, },
		{ 679, 0, 5, 5, 2, 4, },
		{ 680, 3, 23, 5, 3, 5, },
		{ 681, 0, 5, 5, 2, 4, },
		{ 682, 3, 23, 5, 3, 5, },
		{ 683, 0, 5, 5, 2, 11, },
		{ 684, 1, 12, 5, 6, 12, },
		{ 685, 3, 21, 5, 5, 13, },
		{ 686, 3, 21, 5, 17, 35, },
		{ 687, 3, 21, 5, 17, 35, },
		{ 688, 0, 1, 5, 14, 30, },
		{ 689, 0, 14, 5, 15, 31, },
		{ 690, 0, 16, 0, 12, 25, },
		{ 691, 3, 24, 6, 13, 28, },
		{ 692, 1, 17, 1, 0, 58, },
		{ 693, 3, 22, 7, 1, 3, },
		{ 694, 1, 4, 4, 0, 0, },
		{ 695, 3, 22, 5, 1, 3, },
		{ 696, 3, 22, 5, 1, 3, },
		{ 697, 3, 22, 5, 1, 3, },
		{ 698, 0, 14, 5, 15, 31, },
		{ 699, 0, 1, 5, 14, 30, },
		{ 700, 0, 14, 5, 15, 31, },
		{ 701, 0, 16, 0, 12, 25, },
		{ 702, 3, 24, 6, 13, 28, },
		{ 703, 1, 17, 1, 0, 58, },
		{ 704, 3, 22, 7, 1, 3, },
		{ 705, 1, 3, 4, 0, 17, },
		{ 706, 3, 22, 5, 1, 3, },
		{ 707, 3, 22, 5, 1, 3, },
		{ 708, 1, 15, 5, 7, 14, },
		{ 709, 3, 21, 5, 9, 16, },
		{ 710, 0, 14, 5, 15, 31, },
		{ 711, 0, 1, 5, 14, 30, },
		{ 712, 0, 14, 5, 15, 31, },
		{ 713, 0, 16, 0, 12, 25, },
		{ 714, 3, 24, 6, 13, 28, },
		{ 715, 1, 17, 1, 0, 58, },
		{ 716, 3, 22, 7, 1, 3, },
		{ 717, 1, 3, 4, 0, 32, },
		{ 718, 3, 22, 5, 1, 3, },
		{ 719, 3, 22, 5, 1, 3, },
		{ 720, 0, 1, 5, 14, 30, },
		{ 721, 0, 14, 5, 15, 31, },
		{ 722, 0, 14, 5, 15, 31, },
		{ 723, 0, 14, 5, 15, 31, },
		{ 724, 0, 1, 5, 14, 30, },
		{ 725, 0, 14, 5, 15, 31, },
		{ 726, 0, 16, 0, 12, 25, },
		{ 727, 3, 24, 6, 13, 28, },
		{ 728, 1, 17, 1, 0, 58, },
		{ 729, 3, 22, 7, 1, 3, },
		{ 730, 1, 3, 4, 0, 1, },
		{ 731, 3, 22, 5, 1, 3, },
		{ 732, 3, 22, 5, 1, 3, },
		{ 733, 1, 3, 5, 0, 32, },
		{ 734, 3, 22, 5, 1, 3, },
		{ 735, 3, 22, 5, 1, 3, },
		{ 736, 0, 1, 5, 14, 30, },
		{ 737, 0, 14, 5, 15, 31, },
		{ 738, 0, 14, 5, 15, 31, },
		{ 739, 0, 14, 5, 15, 31, },
		{ 740, 0, 1, 5, 14, 30, },
		{ 741, 0, 14, 5, 15, 31, },
		{ 742, 0, 16, 0, 12, 25, },
		{ 743, 3, 24, 6, 13, 28, },
		{ 744, 1, 17, 1, 0, 58, },
		{ 745, 3, 22, 7, 1, 3, },
		{ 746, 1, 3, 4, 0, 6, },
		{ 747, 3, 22, 5, 1, 3, },
		{ 748, 3, 22, 5, 1, 3, },
		{ 749, 0, 5, 5, 2, 4, },
		{ 750, 0, 5, 5, 2, 4, },
		{ 751, 3, 23, 5, 3, 5, },
		{ 752, 0, 5, 5, 2, 4, },
		{ 753, 3, 23, 5, 3, 5, },
		{ 754, 0, 5, 5, 2, 4, },
		{ 755, 3, 23, 5, 3, 5, },
		{ 756, 0, 5, 5, 2, 4, },
		{ 757, 3, 23, 5, 3, 5, },
		{ 758, 0, 5, 5, 2, 4, },
		{ 759, 3, 23, 5, 3, 5, },
		{ 760, 0, 14, 5, 15, 31, },
		{ 761, 0, 1, 5, 14, 30, },
		{ 762, 0, 14, 5, 15, 31, },
		{ 763, 0, 16, 0, 12, 25, },
		{ 764, 3, 24, 6, 13, 28, },
		{ 765, 1, 17, 1, 0, 57, },
		{ 766, 3, 22, 7, 1, 3, },
		{ 767, 3, 22, 7, 1, 3, },
		{ 768, 0, 14, 5, 15, 31, },
		{ 769, 0, 1, 5, 14, 30, },
		{ 770, 0, 14, 5, 15, 31, },
		{ 771, 0, 16, 0, 12, 25, },
		{ 772, 3, 24, 6, 13, 28, },
		{ 773, 1, 17, 1, 0, 58, },
		{ 774, 3, 22, 7, 1, 3, },
		{ 775, 1, 3, 4, 0, 51, },
		{ 776, 3, 22, 5, 1, 3, },
		{ 777, 3, 22, 5, 1, 3, },
		{ 778, 0, 5, 5, 25, 53, },
		{ 779, 2, 7, 5, 27, 55, },
		{ 780, 0, 5, 5, 26, 54, },
		{ 781, 3, 22, 5, 3, 5, },
		{ 782, 0, 5, 5, 24, 52, },
		{ 783, 3, 22, 5, 3, 5, },
		{ 784, 0, 6, 5, 23, 49, },
		{ 785, 3, 21, 5, 13, 50, },
		{ 786, 0, 14, 5, 15, 31, },
		{ 787, 0, 1, 5, 14, 30, },
		{ 788, 0, 14, 5, 15, 31, },
		{ 789, 0, 16, 0, 12, 25, },
		{ 790, 3, 24, 6, 13, 28, },
		{ 791, 1, 17, 1, 0, 58, },
		{ 792, 3, 22, 7, 1, 3, },
		{ 793, 1, 2, 4, 0, 2, },
		{ 794, 3, 22, 5, 1, 3, },
		{ 795, 1, 4, 5, 0, 0, },
		{ 796, 3, 22, 5, 1, 3, },
		{ 797, 3, 22, 5, 1, 3, },
		{ 798, 3, 22, 5, 1, 3, },
		{ 799, 1, 3, 5, 0, 1, },
		{ 800, 3, 22, 5, 1, 3, },
		{ 801, 3, 22, 5, 1, 3, },
		{ 802, 1, 4, 5, 0, 0, },
		{ 803, 3, 22, 5, 1, 3, },
		{ 804, 3, 22, 5, 1, 3, },
		{ 805, 3, 22, 5, 1, 3, },
		{ 806, 0, 14, 5, 15, 31, },
		{ 807, 0, 1, 5, 14, 30, },
		{ 808, 0, 14, 5, 15, 31, },
		{ 809, 0, 16, 0, 12, 25, },
		{ 810, 3, 24, 6, 13, 28, },
		{ 811, 1, 17, 1, 0, 58, },
		{ 812, 3, 22, 7, 1, 3, },
		{ 813, 1, 3, 4, 0, 1, },
		{ 814, 3, 22, 5, 1, 3, },
		{ 815, 3, 22, 5, 1, 3, },
		{ 816, 1, 3, 5, 0, 1, },
		{ 817, 3, 22, 5, 1, 3, },
		{ 818, 3, 22, 5, 1, 3, },
		{ 819, 1, 3, 5, 0, 1, },
		{ 820, 3, 22, 5, 1, 3, },
		{ 821, 3, 22, 5, 1, 3, },
		{ 822, 1, 3, 5, 0, 37, },
		{ 823, 3, 22, 5, 1, 3, },
		{ 824, 3, 22, 5, 1, 3, },
		{ 825, 1, 9, 5, 16, 33, },
		{ 826, 3, 21, 5, 17, 35, },
		{ 827, 3, 21, 5, 17, 35, },
		{ 828, 3, 21, 5, 17, 35, },
		{ 829, 0, 14, 5, 15, 31, },
		{ 830, 0, 1, 5, 14, 30, },
		{ 831, 0, 14, 5, 15, 31, },
		{ 832, 0, 16, 0, 12, 25, },
		{ 833, 3, 24, 6, 13, 28, },
		{ 834, 1, 17, 1, 0, 58, },
		{ 835, 3, 22, 7, 1, 3, },
		{ 836, 1, 3, 4, 0, 1, },
		{ 837, 3, 22, 5, 1, 3, },
		{ 838, 3, 22, 5, 1, 3, },
		{ 839, 1, 2, 5, 0, 2, },
		{ 840, 3, 22, 5, 1, 3, },
		{ 841, 1, 4, 5, 0, 0, },
		{ 842, 3, 22, 5, 1, 3, },
		{ 843, 3, 22, 5, 1, 3, },
		{ 844, 3, 22, 5, 1, 3, },
		{ 845, 1, 4, 5, 0, 0, },
		{ 846, 3, 22, 5, 1, 3, },
		{ 847, 3, 22, 5, 1, 3, },
		{ 848, 3, 22, 5, 1, 3, },
		{ 849, 0, 14, 5, 15, 31, },
		{ 850, 0, 1, 5, 14, 30, },
		{ 851, 0, 14, 5, 15, 31, },
		{ 852, 0, 16, 0, 12, 25, },
		{ 853, 3, 24, 6, 13, 28, },
		{ 854, 1, 17, 1, 0, 58, },
		{ 855, 3, 22, 7, 1, 3, },
		{ 856, 1, 3, 4, 0, 1, },
		{ 857, 3, 22, 5, 1, 3, },
		{ 858, 3, 22, 5, 1, 3, },
		{ 859, 1, 3, 5, 0, 19, },
		{ 860, 3, 22, 5, 1, 3, },
		{ 861, 3, 22, 5, 1, 3, },
		{ 862, 1, 15, 5, 8, 15, },
		{ 863, 1, 4, 5, 0, 18, },
		{ 864, 3, 22, 5, 1, 3, },
		{ 865, 3, 22, 5, 1, 3, },
		{ 866, 3, 22, 5, 1, 3, },
		{ 867, 0, 14, 5, 15, 31, },
		{ 868, 0, 1, 5, 14, 30, },
		{ 869, 0, 14, 5, 15, 31, },
		{ 870, 0, 16, 0, 12, 25, },
		{ 871, 3, 24, 6, 13, 28, },
		{ 872, 1, 17, 1, 0, 58, },
		{ 873, 3, 22, 7, 1, 3, },
		{ 874, 1, 3, 4, 0, 1, },
		{ 875, 3, 22, 5, 1, 3, },
		{ 876, 3, 22, 5, 1, 3, },
		{ 877, 0, 0, 5, 10, 22, },
		{ 878, 0, 13, 5, 11, 23, },
		{ 879, 0, 8, 5, 12, 24, },
		{ 880, 3, 21, 5, 13, 27, },
		{ 881, 3, 21, 5, 13, 27, },
		{ 882, 0, 14, 5, 15, 31, },
		{ 883, 0, 1, 5, 14, 30, },
		{ 884, 0, 14, 5, 15, 31, },
		{ 885, 0, 11, 0, 12, 26, },
		{ 886, 1, 17, 1, 0, 59, },
		{ 887, 3, 22, 7, 1, 3, },
		{ 888, 1, 3, 4, 0, 1, },
		{ 889, 3, 22, 5, 1, 3, },
		{ 890, 3, 22, 5, 1, 3, },
		{ 891, 1, 3, 5, 0, 1, },
		{ 892, 3, 22, 5, 1, 3, },
		{ 893, 3, 22, 5, 1, 3, },
		{ 894, 1, 3, 5, 28, 56, },
		{ 895, 3, 22, 5, 1, 3, },
		{ 896, 3, 22, 5, 1, 3, },
		{ 897, 0, 14, 5, 15, 31, },
		{ 898, 0, 1, 5, 14, 30, },
		{ 899, 0, 14, 5, 15, 31, },
		{ 900, 0, 16, 0, 12, 25, },
		{ 901, 3, 24, 6, 13, 28, },
		{ 902, 1, 17, 1, 0, 58, },
		{ 903, 3, 22, 7, 1, 3, },
		{ 904, 1, 3, 4, 0, 1, },
		{ 905, 3, 22, 5, 1, 3, },
		{ 906, 3, 22, 5, 1, 3, },
		{ 907, 1, 3, 5, 0, 1, },
		{ 908, 3, 22, 5, 1, 3, },
		{ 909, 3, 22, 5, 1, 3, },
		{ 910, 0, 0, 5, 10, 22, },
		{ 911, 0, 13, 5, 11, 23, },
		{ 912, 0, 8, 5, 12, 24, },
		{ 913, 3, 21, 5, 13, 27, },
		{ 914, 3, 21, 5, 13, 27, },
		{ 915, 0, 14, 5, 15, 31, },
		{ 916, 0, 1, 5, 14, 30, },
		{ 917, 0, 14, 5, 15, 31, },
		{ 918, 0, 16, 0, 12, 25, },
		{ 919, 3, 24, 6, 13, 28, },
		{ 920, 1, 17, 1, 0, 58, },
		{ 921, 3, 22, 7, 1, 3, },
		{ 922, 1, 3, 4, 0, 1, },
		{ 923, 3, 22, 5, 1, 3, },
		{ 924, 3, 22, 5, 1, 3, },
		{ 925, 1, 3, 5, 0, 45, },
		{ 926, 3, 22, 5, 1, 3, },
		{ 927, 3, 22, 5, 1, 3, },
		{ 928, 1, 3, 5, 0, 44, },
		{ 929, 3, 22, 5, 1, 3, },
		{ 930, 3, 22, 5, 1, 3, },
		{ 931, 0, 10, 5, 18, 40, },
		{ 932, 3, 21, 5, 17, 42, },
		{ 933, 0, 5, 5, 19, 43, },
		{ 934, 0, 10, 5, 18, 39, },
		{ 935, 3, 21, 5, 17, 41, },
		{ 936, 3, 21, 5, 17, 41, },
		{ 937, 0, 10, 5, 18, 39, },
		{ 938, 3, 21, 5, 17, 41, },
		{ 939, 3, 21, 5, 17, 41, },
		{ 940, 0, 14, 5, 15, 31, },
		{ 941, 0, 1, 5, 14, 30, },
		{ 942, 0, 14, 5, 15, 31, },
		{ 943, 0, 16, 0, 12, 25, },
		{ 944, 3, 24, 6, 13, 28, },
		{ 945, 1, 17, 1, 0, 58, },
		{ 946, 3, 22, 7, 1, 3, },
		{ 947, 1, 3, 4, 0, 9, },
		{ 948, 3, 22, 5, 1, 3, },
		{ 949, 3, 22, 5, 1, 3, },
		{ 950, 1, 12, 5, 4, 7, },
		{ 951, 3, 21, 5, 5, 8, },
		{ 952, 0, 14, 5, 15, 31, },
		{ 953, 0, 1, 5, 14, 30, },
		{ 954, 0, 14, 5, 15, 31, },
		{ 955, 0, 16, 0, 12, 25, },
		{ 956, 3, 24, 6, 13, 28, },
		{ 957, 1, 17, 1, 0, 58, },
		{ 958, 3, 22, 7, 1, 3, },
		{ 959, 1, 2, 4, 0, 10, },
		{ 960, 3, 22, 5, 1, 3, },
		{ 961, 1, 4, 5, 0, 0, },
		{ 962, 3, 22, 5, 1, 3, },
		{ 963, 3, 22, 5, 1, 3, },
		{ 964, 3, 22, 5, 1, 3, },
		{ 965, 1, 12, 5, 4, 7, },
		{ 966, 3, 21, 5, 5, 8, },
		{ 967, 0, 14, 5, 15, 31, },
		{ 968, 0, 1, 5, 14, 30, },
		{ 969, 0, 14, 5, 15, 31, },
		{ 970, 0, 16, 0, 12, 25, },
		{ 971, 3, 24, 6, 13, 28, },
		{ 972, 1, 17, 1, 0, 58, },
		{ 973, 3, 22, 7, 1, 3, },
		{ 974, 1, 2, 4, 0, 2, },
		{ 975, 3, 22, 5, 1, 3, },
		{ 976, 1, 4, 5, 0, 0, },
		{ 977, 3, 22, 5, 1, 3, },
		{ 978, 3, 22, 5, 1, 3, },
		{ 979, 3, 22, 5, 1, 3, },
		{ 980, 1, 4, 5, 0, 0, },
		{ 981, 3, 22, 5, 1, 3, },
		{ 982, 3, 22, 5, 1, 3, },
		{ 983, 3, 22, 5, 1, 3, },
		{ 984, 0, 14, 5, 15, 31, },
		{ 985, 0, 1, 5, 14, 30, },
		{ 986, 0, 14, 5, 15, 31, },
		{ 987, 0, 16, 0, 12, 25, },
		{ 988, 3, 24, 6, 13, 28, },
		{ 989, 1, 17, 1, 0, 58, },
		{ 990, 3, 22, 7, 1, 3, },
		{ 991, 1, 3, 4, 0, 1, },
		{ 992, 3, 22, 5, 1, 3, },
		{ 993, 3, 22, 5, 1, 3, },
		{ 994, 0, 5, 5, 20, 46, },
		{ 995, 0, 5, 5, 2, 4, },
		{ 996, 3, 23, 5, 3, 5, },
		{ 997, 0, 5, 5, 21, 47, },
		{ 998, 0, 6, 5, 23, 49, },
		{ 999, 3, 21, 5, 13, 50, },
		{ 1000, 0, 5, 5, 22, 48, },
		{ 1001, 0, 5, 5, 2, 4, },
		{ 1002, 3, 23, 5, 3, 5, },
		{ 1003, 0, 5, 5, 2, 4, },
		{ 1004, 3, 23, 5, 3, 5, },
		{ 1005, 0, 5, 5, 2, 4, },
		{ 1006, 3, 23, 5, 3, 5, },
		{ 1007, 0, 5, 5, 2, 4, },
		{ 1008, 3, 23, 5, 3, 5, },
		{ 1009, 0, 14, 5, 15, 31, },
		{ 1010, 0, 1, 5, 14, 30, },
		{ 1011, 0, 14, 5, 15, 31, },
		{ 1012, 0, 16, 0, 12, 25, },
		{ 1013, 3, 24, 6, 13, 28, },
		{ 1014, 1, 17, 1, 0, 58, },
		{ 1015, 3, 22, 7, 1, 3, },
		{ 1016, 1, 3, 4, 0, 6, },
		{ 1017, 3, 22, 5, 1, 3, },
		{ 1018, 3, 22, 5, 1, 3, },
		{ 1019, 0, 5, 5, 2, 4, },
		{ 1020, 0, 5, 5, 2, 4, },
		{ 1021, 3, 23, 5, 3, 5, },
		{ 1022, 0, 5, 5, 2, 4, },
		{ 1023, 3, 23, 5, 3, 5, },
		{ 1024, 0, 5, 5, 2, 4, },
		{ 1025, 3, 23, 5, 3, 5, },
		{ 1026, 0, 5, 5, 2, 4, },
		{ 1027, 3, 23, 5, 3, 5, },
		{ 1028, 0, 5, 5, 2, 11, },
		{ 1029, 1, 12, 5, 6, 12, },
		{ 1030, 3, 21, 5, 5, 13, },
		{ 1031, 0, 14, 5, 15, 31, },
	};


