// SHARPEN is copyright (c) 2008  Ilya Loksha (primary author), Christopher Snow (project lead).
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files 
// (the "Software") to deal in the Software without restriction, including without limitation the rights to use, copy, modify, 
// merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is 
// furnished to do so, subject to the following conditions: 
// 
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. 
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY 
// CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
// THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
// 

if (tableName == "LJAttractiveTable")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	LJAttractiveTable_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "LJRepulsiveTable")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	LJRepulsiveTable_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "SolvationTable1")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	SolvationTable1_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "SolvationTable2")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	SolvationTable2_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "CountPairTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	CountPairTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "PairCutoffTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	PairCutoffTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "HB_AHTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	HB_AHTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "HB_XDTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	HB_XDTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "HB_XHTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	HB_XHTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "PairLikelihoodTable")
{
	TinyVector<int, 5> shape;
	for (int i = 0; i < 5; ++i)
		shape(i) = dims[i];

	PairLikelihoodTable_.reference(Array<FLOAT, 5>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "BBStrainWeight")
{
	TinyVector<int, 1> shape;
	for (int i = 0; i < 1; ++i)
		shape(i) = dims[i];

	BBStrainWeight_.reference(Array<FLOAT, 1>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "AAProbabilityByAngle")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	AAProbabilityByAngle_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "AAProbability")
{
	TinyVector<int, 1> shape;
	for (int i = 0; i < 1; ++i)
		shape(i) = dims[i];

	AAProbability_.reference(Array<FLOAT, 1>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "IntraRes_CountPair")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	IntraRes_CountPair_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "OPLSaa_chargeTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	OPLSaa_chargeTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "OPLSaa_vdwTable")
{
	TinyVector<int, 3> shape;
	for (int i = 0; i < 3; ++i)
		shape(i) = dims[i];

	OPLSaa_vdwTable_.reference(Array<FLOAT, 3>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "OPLSaa_BondStretchTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	OPLSaa_BondStretchTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "OPLSaa_AngleBendTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	OPLSaa_AngleBendTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "OPLSaa_TorsionTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	OPLSaa_TorsionTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else if (tableName == "OPLSaa_ImptorsTable")
{
	TinyVector<int, 2> shape;
	for (int i = 0; i < 2; ++i)
		shape(i) = dims[i];

	OPLSaa_ImptorsTable_.reference(Array<FLOAT, 2>( (FLOAT*)table_buffer, shape, deleteDataWhenDone ));

}
else
	 throw std::string("Data table " + tableName + " not recognized");


