#!/usr/bin/env python
# SHARPEN is copyright (c) 2008  Ilya Loksha (primary author), Christopher Snow (project lead).
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files 
# (the "Software") to deal in the Software without restriction, including without limitation the rights to use, copy, modify, 
# merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is 
# furnished to do so, subject to the following conditions: 
# 
# The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. 
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF 
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY 
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH 
# THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
# 

import os

#my_python_exe = 'python32'
my_python_exe = 'python'

## Ten pdbs
#pdblist = ['1akyH.pdb', '1aruH.pdb', '1cemH.pdb', '1cusH.pdb', '1edmBH.pdb', '1fncH.pdb', '1hfcH.pdb', '1knbH.pdb', '1litH.pdb', '1mlaH.pdb']
#scripts = ['parse_and_score.py','default_repack.py']
#for script in scripts:
#    print 'Testing',script,'====================================================='
#    for pdb in pdblist:
#        command = '%s %s %s' % (my_python_exe,script,pdb)
#        print pdb
#        os.system(command)

## One pdb tests
pdblist = ['1edmBH.pdb']
scripts = ['alanine_scan.py','random_redesign.py','repack_system_vector.py','repack_from_starting_chis.py','repack_variety_optimizations.py','default_repack_oplsaa.py']
for script in scripts:
    print '\nTesting',script,'====================================================='
    for pdb in pdblist:
        command = '%s %s %s' % (my_python_exe,script,pdb)
        print pdb
        os.system(command)




        

